Bug 114777 - [MAINTAINER-UPDATE] sysutils/bacula-server-devel upgrade to latest BETA version
Summary: [MAINTAINER-UPDATE] sysutils/bacula-server-devel upgrade to latest BETA version
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Matuska
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-07-20 18:30 UTC by Dan Langille
Modified: 2007-07-23 23:52 UTC (History)
1 user (show)

See Also:


Attachments
bacula.server.devel.diff (1.01 KB, patch)
2007-07-20 18:30 UTC, Dan Langille
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dan Langille 2007-07-20 18:30:01 UTC
	
Upgrade to BETA 2.1.28
Comment 1 Martin Matuska freebsd_committer 2007-07-21 17:00:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mm

I'll take it.
Comment 2 Martin Matuska freebsd_committer 2007-07-23 11:41:29 UTC
Plist is broken.
The manpages install into /usr/local/share/man instead of
${MANPREFIX}/man (/usr/local/man by default).

Maintainer please approve the revised patch.

Index: ports/sysutils/bacula-server-devel/Makefile
===================================================================
RCS file: /home/pcvs/ports/sysutils/bacula-server-devel/Makefile,v
retrieving revision 1.21
diff -u -r1.21 Makefile
--- ports/sysutils/bacula-server-devel/Makefile	23 Jul 2007 09:36:33 -0000	1.21
+++ ports/sysutils/bacula-server-devel/Makefile	23 Jul 2007 10:27:55 -0000
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	bacula
-DISTVERSION=	2.1.26
+DISTVERSION=	2.1.28
 CATEGORIES=	sysutils
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	bacula
@@ -37,6 +37,7 @@
 		--enable-smartalloc \
 		--with-working-dir=${BACULA_DIR} \
 		--with-scriptdir=${PREFIX}/share/${PORTNAME} \
+		--mandir=${MANPREFIX}/man \
 		--with-readline=yes \
 		--disable-conio
 
Index: ports/sysutils/bacula-server-devel/distinfo
===================================================================
RCS file: /home/pcvs/ports/sysutils/bacula-server-devel/distinfo,v
retrieving revision 1.14
diff -u -r1.14 distinfo
--- ports/sysutils/bacula-server-devel/distinfo	12 Jul 2007 18:36:22 -0000	1.14
+++ ports/sysutils/bacula-server-devel/distinfo	23 Jul 2007 10:27:55 -0000
@@ -1,3 +1,3 @@
-MD5 (bacula-2.1.26.tar.gz) = cced9ea766122604c1ba8f622e8894ca
-SHA256 (bacula-2.1.26.tar.gz) = c1c650a5074fb7a5d8809f88cc465e89d100ed2cf3287cdf4ddf91b2f08370de
-SIZE (bacula-2.1.26.tar.gz) = 2973918
+MD5 (bacula-2.1.28.tar.gz) = bc47dc4432455320f2e446d81fe4cd9f
+SHA256 (bacula-2.1.28.tar.gz) = ae95acf4adb64e0e3b58cdfd0bbade901b8217cfd131c50f438dba2a2a4cc287
+SIZE (bacula-2.1.28.tar.gz) = 2967244
Comment 3 Martin Matuska freebsd_committer 2007-07-23 11:50:09 UTC
State Changed
From-To: open->patched

Awaiting maintainer approval.
Comment 4 Dan Langille 2007-07-23 15:36:51 UTC
maintainer approves.

thanks

-- 
Dan Langille - http://www.langille.org/
Available for hire: http://www.freebsddiary.org/dan_langille.php
Comment 5 Martin Matuska freebsd_committer 2007-07-23 23:42:47 UTC
--mandir=${MANPREFIX}/man was added to default configure args in
bsd.port.mk in the meantime.
There is no need to include the configure argument anymore, the original
patch will be submitted.
Comment 6 dfilter service freebsd_committer 2007-07-23 23:44:17 UTC
mm          2007-07-23 22:44:11 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/bacula-server-devel Makefile distinfo 
  Log:
  - update to 2.1.28
  
  PR:             ports/114777
  Submitted by:   Dan Langille <dan@langille.org> (maintainer)
  Approved by:    garga (mentor, implicit)
  
  Revision  Changes    Path
  1.22      +1 -1      ports/sysutils/bacula-server-devel/Makefile
  1.15      +3 -3      ports/sysutils/bacula-server-devel/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Martin Matuska freebsd_committer 2007-07-23 23:51:50 UTC
State Changed
From-To: patched->closed

Commited, thanks!